Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey
Class SECSHPublicKeyFormat

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.Base64EncodedFileFormat
          com.sshtools.j2ssh.transport.publickey.SECSHPublicKeyFormat

All Implemented Interfaces:
  SshKeyFormatConversion, SshPublicKeyFormat

public class SECSHPublicKeyFormat
extends Base64EncodedFileFormat
implements SshPublicKeyFormat

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.j2ssh.transport.publickey.Base64EncodedFileFormat
`begin, end`

Constructor Summary
`SECSHPublicKeyFormat()` Creates a new SECSHPublicKeyFormat object.
`SECSHPublicKeyFormat(java.lang.String subject, java.lang.String comment)` Creates a new SECSHPublicKeyFormat object.

Method Summary
`java.lang.String` | `getComment()` DOCUMENT ME!
`java.lang.String` | `getFormatType()` DOCUMENT ME!
`void` | `setComment(java.lang.String comment)` DOCUMENT ME!
`boolean` | `supportsAlgorithm(java.lang.String algorithm)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.publickey.Base64EncodedFileFormat
`formatKey, getHeaderValue, getKeyBlob, isFormatted, setHeaderValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sshtools.j2ssh.transport.publickey.SshPublicKeyFormat
`formatKey, getKeyBlob, isFormatted`

Constructor Detail

### SECSHPublicKeyFormat

    public SECSHPublicKeyFormat(java.lang.String subject,
                                java.lang.String comment)

  Creates a new SECSHPublicKeyFormat object.

Parameters:
  `subject` - DOCUMENT ME!
  `comment` - DOCUMENT ME!

### SECSHPublicKeyFormat

    public SECSHPublicKeyFormat()

  Creates a new SECSHPublicKeyFormat object.

Method Detail

### setComment

    public void setComment(java.lang.String comment)

  DOCUMENT ME!

  Specified by:
    `setComment` in interface `SshPublicKeyFormat`
  Parameters:
    `comment` - DOCUMENT ME!

### getComment

    public java.lang.String getComment()

  DOCUMENT ME!

  Specified by:
    `getComment` in interface `SshPublicKeyFormat`
  Returns:
    DOCUMENT ME!

### getFormatType

    public java.lang.String getFormatType()

  DOCUMENT ME!

  Specified by:
    `getFormatType` in interface `SshPublicKeyFormat`
  Overrides:
    `getFormatType` in class `Base64EncodedFileFormat`
  Returns:
    DOCUMENT ME!

### supportsAlgorithm

    public boolean supportsAlgorithm(java.lang.String algorithm)

  DOCUMENT ME!

  Specified by:
    `supportsAlgorithm` in interface `SshPublicKeyFormat`
  Parameters:
    `algorithm` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD